//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Tue May 13 16:51:55 2003 by ROOT version3.05/05)
//   from TTree h102/standard
//   found on file: hec_12369.root
//////////////////////////////////////////////////////////


#ifndef SlowControl2002v0_h
#define SlowControl2002v0_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <string>
#include <iostream>

using std::string;
using std::cout;
using std::endl;

/*! - Class SlowControl2002v0
  * - Author: Ian Gable (igable@uvic.ca)
  * - Date:  05/27/2003
  * - Description: This class was created by root 3.05/05. Use it to access the information
  *      contained in the SlowControl Header.
  */

class SlowControl2002v0 {
   public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain


   SlowControl2002v0(TTree *tree=0,string fileName=0);
   ~SlowControl2002v0();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);

   //! run start time (UNIX binary time)
   int getTime(){ return time;};

   //! The number of adc channels
   int getAdcUsed(){ return adc_used;};

   //! Cryostat pressure (mbar)
   float getPress(){return press;};

private:

//Declaration of leaves types
   UInt_t          time;
   Int_t           adc_used;
   Float_t         lartemp[8];
   Float_t         press;
   Float_t         hvcor[1152];   //[adc_used]

//List of branches
   TBranch        *b_time;   //!
   TBranch        *b_adc_used;   //!
   TBranch        *b_lartemp;   //!
   TBranch        *b_press;   //!
   TBranch        *b_hvcor;   //!

};

#endif

#ifdef SlowControl2002v0_cxx
SlowControl2002v0::SlowControl2002v0(TTree *tree,string fileName)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   TFile *f ;
   if (tree == 0) {
         f = new TFile(fileName.c_str());

      tree = (TTree*)f->Get("h102");

   }
   Init(tree);
}


SlowControl2002v0::~SlowControl2002v0()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t SlowControl2002v0::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t SlowControl2002v0::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void SlowControl2002v0::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("time",&time);
   fChain->SetBranchAddress("adc_used",&adc_used);
   fChain->SetBranchAddress("lartemp",lartemp);
   fChain->SetBranchAddress("press",&press);
   fChain->SetBranchAddress("hvcor",hvcor);
   Notify();
}

Bool_t SlowControl2002v0::Notify()
{
   // Called when loading a new file.
   // Get branch pointers.
   b_time = fChain->GetBranch("time");
   b_adc_used = fChain->GetBranch("adc_used");
   b_lartemp = fChain->GetBranch("lartemp");
   b_press = fChain->GetBranch("press");
   b_hvcor = fChain->GetBranch("hvcor");
   return kTRUE;
}

void SlowControl2002v0::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t SlowControl2002v0::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef SlowControl2002v0_cxx

